Skip to main content
GET
https://checkout.dintero.com/v1
/
view
/
{session_id}
/
swish
/
{payment_request_id}
/
status
checkout_sid_swish_get
curl --request GET \
  --url https://checkout.dintero.com/v1/view/{session_id}/swish/{payment_request_id}/status
{
  "keep_polling": true,
  "redirect_url": "<string>",
  "poll_url": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

session_id
string<checkout-id>
required

The session ID

payment_request_id
string
required

Response

Swish payment completed, go to next step.

keep_polling
boolean
redirect_url
string

redirect url to complete payment, will not be included if the payment failed with Rejected error as payment can be completed by choosing alternative payment option.

poll_url
string

poll_url to check the status of the payment. Will be included if the payment is dependent on 3rd party apps, such as Swish.

Last modified on May 12, 2026